function out = numericalMoments(pval, domain, order)

integrationweights = [diff(domain),0];

out = zeros(size(order));
for r=1:length(order)
   out(r) = sum( pval .* (domain .^ order(r)) .* integrationweights );
end
